chiark / gitweb /
dgit-nmu-simple(7): Cannot yet use DELAYED
[dgit.git] / tests / run-all
index f298cb773423df1ca6dabffe0df337962fc0b86f..e53b96317bac8a13e1b5b0f1d47249e585ab03cf 100755 (executable)
@@ -1,8 +1,10 @@
-#!/bin/sh
+#!/bin/bash
 set -e
 # convenience script for running the tests outside adt-run
 # usage: tests/using-intree tests/run-all
 
+set -o pipefail
+
 set +e
 jcpus=`perl -MSys::CPU -we 'printf "-j%d\n",Sys::CPU::cpu_count()'`
 set -e
@@ -11,5 +13,9 @@ if [ $# != 0 ]; then
        set TESTSCRIPTS="$*"
 fi
 
-set -x
-exec make $jcpus -f tests/Makefile "$@"
+mkdir -p tests/tmp
+
+(
+ set -x
+ exec make $jcpus -k -f tests/Makefile "$@"
+) 2>&1 |tee tests/tmp/run-all.log